%define name liboil
%define version 0.3.12
%define major 0.3
%define libname %mklibname oil %major
%define release %mkrel 1

Summary: Optimized functions for multimedia calculations
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.schleef.org/liboil/download/%{name}-%{version}.tar.bz2
# gw disable SSE until bug #26183 is fixed
Patch: liboil-nosse.patch
License: LGPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.schleef.org/liboil/
BuildRequires: gtk-doc
BuildRequires: glib2-devel
BuildRequires: automake1.9

%description
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%package -n %libname
Summary: Optimized functions for multimedia calculations
Group: System/Libraries
Requires: %name-tools >= %version

%description -n %libname
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%package -n %libname-devel
Summary: Optimized functions for multimedia calculations
Group: Development/C
Requires: %libname = %version
Provides: liboil-devel = %version-%release

%description -n %libname-devel
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).


%package -n %libname-static-devel
Summary: Optimized functions for multimedia calculations
Group: Development/C
Requires: %libname-devel = %version

%description -n %libname-static-devel
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%package tools
Summary: Optimized functions for multimedia calculations
Group: System/Libraries

%description tools
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

This contains the binaries that are bundled with %name.

%prep
%setup -q
cd liboil
%patch
cd ..
automake

%build
%configure2_5x
#gw no parallel build please
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%_libdir/liboil-%{major}.so.0*

%files -n %libname-devel
%defattr(-,root,root)
%_includedir/liboil*
%_libdir/liboil*.so
%attr(644,root,root) %_libdir/liboil*.la
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc/html/liboil

%files -n %libname-static-devel
%defattr(-,root,root)
%_libdir/liboil*.a

%files tools
%defattr(-,root,root)
%_bindir/*




%changelog
* Tue May 29 2007 Götz Waschk <waschk@mandriva.org> 0.3.12-1mdv2008.0
+ Revision: 32635
- new version

* Mon Apr 23 2007 Götz Waschk <waschk@mandriva.org> 0.3.11-1mdv2008.0
+ Revision: 17173
- new version


* Wed Jan 24 2007 Götz Waschk <waschk@mandriva.org> 0.3.10-2mdv2007.0
+ Revision: 112847
- disable sse as a workaround for bug #26183

* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 0.3.10-1mdv2007.1
+ Revision: 86926
- Import liboil

* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 0.3.10-1mdv2007.1
- New version 0.3.10

* Sat May 27 2006 Götz Waschk <waschk@mandriva.org> 0.3.9-1mdv2007.0
- New release 0.3.9

* Thu Mar 30 2006 Gtz Waschk <waschk@mandriva.org> 0.3.8-1mdk
- drop conflict
- add tols subpackage
- New release 0.3.8
- use mkrel

* Mon Nov 21 2005 Gtz Waschk <waschk@mandriva.org> 0.3.6-1mdk
- drop patch
- New release 0.3.6

* Mon Oct 10 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.3.3-2mdk
- patch1: (ppc) apple inline asm syntax => official gcc inline asm syntax

* Wed Oct 05 2005 Götz Waschk <waschk@mandriva.org> 0.3.3-1mdk
- New release 0.3.3

* Tue Jun 21 2005 Gtz Waschk <waschk@mandriva.org> 0.3.2-2mdk
- enable mmx

* Sat May 14 2005 Gtz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- New release 0.3.2

* Tue Apr 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-1mdk
- add docs
- add conflict with liboil0.2
- New release 0.3.1

* Tue Apr 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.0-1mdk
- new major
- drop patch 0
- New release 0.3.0

* Sat Nov 27 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.2-2mdk
- Patch0: fix ppc build

* Tue Nov 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-1mdk
- fix source URL
- drop patch 1
- drop merged patch 0
- major 0.2
- drop 9.0 support
- new version

* Tue Sep 21 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1-0.20040401.4mdk
- build fixes

* Mon Jul 12 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1-0.20040401.3mdk
- Patch0: fix ppc build

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-0.20040401.2mdk
- fix buildrequires

* Sat Apr 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-0.20040401.1mdk
- initial package

